From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/ntp/
Date: Fri, 2 Jun 2023 00:25:22 +0000 (UTC) [thread overview]
Message-ID: <1685665472.709240c79986e92294e0329e66b99f20dd05b1de.sam@gentoo> (raw)
commit: 709240c79986e92294e0329e66b99f20dd05b1de
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 1 23:47:47 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 2 00:24:32 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=709240c7
net-misc/ntp: add 4.2.8_p16
We don't need to generate our own man pages, see:
```
* CMP: =net-misc/ntp-4.2.8_p15-r6 with net-misc/ntp-4.2.8_p16/image
* FILES:-usr/share/man/man8/keygen.8.xz
* FILES:-usr/share/man/man8/ntpd.8.xz
* FILES:-usr/share/man/man8/ntpdate.8.xz
* FILES:-usr/share/man/man8/ntpdc.8.xz
* FILES:-usr/share/man/man8/ntpdsim.8.xz
* FILES:-usr/share/man/man8/ntpq.8.xz
* FILES:-usr/share/man/man8/ntptime.8.xz
* FILES:-usr/share/man/man8/ntptrace.8.xz
* FILES:-usr/share/man/man8/tickadj.8.xz
* SIZE: 18.14MiB -> 18.17MiB, 305 -> 296 files
* ------> FILES(-9) SIZE(+0.16%)
```
... but man pages remain in man1.
Bug: https://bugs.gentoo.org/904337
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-misc/ntp/Manifest | 1 +
net-misc/ntp/ntp-4.2.8_p16.ebuild | 158 ++++++++++++++++++++++++++++++++++++++
2 files changed, 159 insertions(+)
diff --git a/net-misc/ntp/Manifest b/net-misc/ntp/Manifest
index c61825354c75..8d4e8fc54354 100644
--- a/net-misc/ntp/Manifest
+++ b/net-misc/ntp/Manifest
@@ -1,2 +1,3 @@
DIST ntp-4.2.8p15-manpages.tar.xz 25700 BLAKE2B 6a225bc19dcebee31cb8e0d621963863d567a882655b57be8b65a16f9d3dd138787c7c6b9ff08853306f2e9b11d65cb76e3215cc5b2262a91c411d437974fc18 SHA512 21721550864b4e7e91bf20ca894109253439b737799dfc803e1496b3454199f34646f40e0156c08a39d5914e5a92f35908cec0245e1e2627c75c0e64939ba028
DIST ntp-4.2.8p15.tar.gz 7015970 BLAKE2B 5697d6623d79686f9ca9ad907172bf942383067d1e9817117d20db042e9f7410644f236f1a0d77ab6bf6ec468476e12ea65b494a28f0dd8674bf08fc8875cfef SHA512 f5ad765e45fc302263dd40e94c287698fd235b94f3684e49f1d5d09d7d8bdd6b8c0fb96ecdabffea3d233e1e79b3c9687b76dc204ba76bad3f554682f4a97794
+DIST ntp-4.2.8p16.tar.gz 7084978 BLAKE2B a6cd6f56da7fda85be70f1293674fdab76140608407b5bda422049a49133694803cf3d38174a329d75f599fcce0ff899c00b47a18b22a1b801e495b476445a3e SHA512 0b4a3336def620d3ab2f06dacf8621e848167e35657c0a1206eca178a7541dd8730071bd7a0a8dea2c4682c4f38d31c3772d01093c26fd5a4395e37a86e770e2
diff --git a/net-misc/ntp/ntp-4.2.8_p16.ebuild b/net-misc/ntp/ntp-4.2.8_p16.ebuild
new file mode 100644
index 000000000000..89ee3f382279
--- /dev/null
+++ b/net-misc/ntp/ntp-4.2.8_p16.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic systemd tmpfiles
+
+MY_P=${P/_p/p}
+DESCRIPTION="Network Time Protocol suite/programs"
+HOMEPAGE="https://www.ntp.org/"
+SRC_URI="https://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-${PV:0:3}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="HPND BSD ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="caps debug ipv6 openntpd parse-clocks readline samba selinux snmp ssl +threads vim-syntax zeroconf"
+
+DEPEND="
+ >=dev-libs/libevent-2.0.9:=[threads(+)?]
+ readline? ( >=sys-libs/readline-4.1:= )
+ kernel_linux? ( caps? ( sys-libs/libcap ) )
+ zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+ snmp? ( net-analyzer/net-snmp )
+ ssl? ( dev-libs/openssl:= )
+ parse-clocks? ( net-misc/pps-tools )
+"
+RDEPEND="
+ ${DEPEND}
+ acct-group/ntp
+ acct-user/ntp
+ selinux? ( sec-policy/selinux-ntp )
+ vim-syntax? ( app-vim/ntp-syntax )
+ !net-misc/ntpsec
+ !openntpd? ( !net-misc/openntpd )
+"
+BDEPEND="
+ acct-group/ntp
+ acct-user/ntp
+ virtual/pkgconfig
+"
+PDEPEND="openntpd? ( net-misc/openntpd )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.2.8-ipc-caps.patch # bug #533966
+ "${FILESDIR}"/${PN}-4.2.8-sntp-test-pthreads.patch # bug #563922
+ "${FILESDIR}"/${PN}-4.2.8_p14-add_cap_ipc_lock.patch # bug #711530
+ "${FILESDIR}"/${PN}-4.2.8_p15-configure-clang16.patch
+)
+
+src_prepare() {
+ default
+
+ # Make sure every build uses the same install layout, bug #539092
+ find sntp/loc/ -type f '!' -name legacy -delete || die
+
+ # bug #622754
+ eautoreconf
+
+ # Disable pointless checks.
+ touch .checkChangeLog .gcc-warning FRC.html html/.datecheck || die
+}
+
+src_configure() {
+ # bug #264109
+ append-cppflags -D_GNU_SOURCE
+
+ # avoid libmd5/libelf
+ export ac_cv_search_MD5Init=no ac_cv_header_md5_h=no
+ export ac_cv_lib_elf_nlist=no
+ # blah, no real configure options #176333
+ export ac_cv_header_dns_sd_h=$(usex zeroconf)
+ export ac_cv_lib_dns_sd_DNSServiceRegister=${ac_cv_header_dns_sd_h}
+ # Unity builds, we don't really need support for it, bug #804109
+ export PATH_RUBY=/bin/false
+
+ local myeconfargs=(
+ --with-lineeditlibs=readline,edit,editline
+ --with-yielding-select
+ --disable-local-libevent
+
+ # Increase the default memlimit from 32MiB to 128MiB, bug #533232
+ --with-memlock=256
+
+ $(use_enable caps linuxcaps)
+ $(use_enable parse-clocks)
+ $(use_enable ipv6)
+ $(use_enable debug debugging)
+ $(use_with readline lineeditlibs readline)
+ $(use_enable samba ntp-signd)
+ $(use_with snmp ntpsnmpd)
+ $(use_with ssl crypto)
+ $(use_enable threads thread-support)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ # Move ntpd/ntpdate to sbin, bug #66671
+ dodir /usr/sbin
+ mv "${ED}"/usr/bin/{ntpd,ntpdate} "${ED}"/usr/sbin/ || die "move to sbin"
+
+ dodoc INSTALL WHERE-TO-START
+
+ insinto /etc
+ doins "${FILESDIR}"/ntp.conf
+
+ #bug #524726
+ use ipv6 || sed -i '/^restrict .*::1/d' "${ED}"/etc/ntp.conf
+
+ newinitd "${FILESDIR}"/ntpd.rc-r2 ntpd
+ newconfd "${FILESDIR}"/ntpd.confd ntpd
+ newinitd "${FILESDIR}"/ntp-client.rc ntp-client
+ newconfd "${FILESDIR}"/ntp-client.confd ntp-client
+ newinitd "${FILESDIR}"/sntp.rc sntp
+ newconfd "${FILESDIR}"/sntp.confd sntp
+ if ! use caps ; then
+ sed -i "s|-u ntp:ntp||" "${ED}"/etc/conf.d/ntpd || die
+ fi
+ sed -i "s:/usr/bin:/usr/sbin:" "${ED}"/etc/init.d/ntpd || die
+
+ if use openntpd ; then
+ cd "${ED}" || die
+ rm usr/sbin/ntpd || die
+ rm etc/{conf,init}.d/ntpd || die
+ rm usr/share/man/*/ntpd.8 || die
+ else
+ newtmpfiles "${FILESDIR}"/ntp.tmpfiles ntp.conf
+ systemd_newunit "${FILESDIR}"/ntpd.service-r2 ntpd.service
+ if use caps ; then
+ sed -i '/ExecStart/ s|$| -u ntp:ntp|' \
+ "${D}$(systemd_get_systemunitdir)"/ntpd.service \
+ || die
+ fi
+ systemd_enable_ntpunit 60-ntpd ntpd.service
+ fi
+
+ systemd_newunit "${FILESDIR}"/ntpdate.service-r2 ntpdate.service
+ systemd_install_serviced "${FILESDIR}"/ntpdate.service.conf
+ systemd_newunit "${FILESDIR}"/sntp.service-r3 sntp.service
+ systemd_install_serviced "${FILESDIR}"/sntp.service.conf
+}
+
+pkg_postinst() {
+ if ! use openntpd; then
+ tmpfiles_process ntp.conf
+ fi
+
+ if grep -qs '^[^#].*notrust' "${EROOT}"/etc/ntp.conf ; then
+ eerror "The notrust option was found in your /etc/ntp.conf!"
+ ewarn "If your ntpd starts sending out weird responses,"
+ ewarn "then make sure you have keys properly setup and see"
+ ewarn "https://bugs.gentoo.org/41827"
+ fi
+}
next reply other threads:[~2023-06-02 0:25 UTC|newest]
Thread overview: 149+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-02 0:25 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-04 1:15 [gentoo-commits] repo/gentoo:master commit in: net-misc/ntp/ Sam James
2024-01-19 23:08 Ionen Wolkens
2024-01-19 20:45 Mike Gilbert
2024-01-19 19:24 Mike Gilbert
2023-12-10 1:38 Ionen Wolkens
2023-11-18 16:46 Sam James
2023-07-19 18:45 Sam James
2023-06-25 8:14 Arthur Zamarin
2023-06-07 11:30 Sam James
2023-06-07 11:30 Sam James
2023-06-05 16:22 Mike Gilbert
2023-06-02 7:39 Ionen Wolkens
2023-06-02 0:25 Sam James
2023-03-31 12:00 Arthur Zamarin
2023-03-31 11:57 Arthur Zamarin
2023-02-14 14:16 Mike Gilbert
2023-02-14 0:29 Mike Gilbert
2023-02-14 0:29 Mike Gilbert
2023-02-11 0:14 Sam James
2023-01-29 0:59 Sam James
2023-01-27 8:05 Sam James
2023-01-27 8:05 Sam James
2023-01-27 8:05 Sam James
2023-01-27 8:05 Sam James
2023-01-27 8:05 Sam James
2022-12-02 17:23 Arthur Zamarin
2022-11-25 17:11 Arthur Zamarin
2022-11-23 13:56 Jakov Smolić
2022-11-18 10:24 Arthur Zamarin
2022-11-18 6:46 Arthur Zamarin
2022-11-18 6:44 Arthur Zamarin
2022-11-18 6:43 Arthur Zamarin
2022-11-18 6:38 Arthur Zamarin
2022-08-28 6:30 WANG Xuerui
2022-03-17 21:32 Sam James
2021-05-02 8:16 Mikle Kolyada
2021-04-16 10:25 David Seifert
2020-12-29 14:19 Lars Wendler
2020-12-27 17:57 Fabian Groffen
2020-07-17 10:30 Sam James
2020-07-12 2:41 Sam James
2020-07-06 16:43 Sergei Trofimovich
2020-07-05 13:44 Agostino Sarubbo
2020-07-05 13:41 Agostino Sarubbo
2020-07-05 13:38 Agostino Sarubbo
2020-07-05 13:36 Agostino Sarubbo
2020-07-04 12:36 Mart Raudsepp
2020-07-03 18:24 Sergei Trofimovich
2020-06-23 16:16 Lars Wendler
2020-05-13 17:14 Agostino Sarubbo
2020-05-13 17:12 Agostino Sarubbo
2020-05-11 16:49 Agostino Sarubbo
2020-05-07 17:11 Sergei Trofimovich
2020-05-04 6:16 Mart Raudsepp
2020-05-03 10:25 Agostino Sarubbo
2020-05-03 10:22 Agostino Sarubbo
2020-03-04 13:42 Lars Wendler
2020-03-04 13:40 Sergei Trofimovich
2020-03-04 10:54 Lars Wendler
2020-03-04 10:54 Lars Wendler
2020-02-08 16:25 David Seifert
2019-08-28 17:05 Craig Andrews
2019-03-16 17:31 Mikle Kolyada
2019-03-16 17:28 Mikle Kolyada
2019-03-16 17:28 Mikle Kolyada
2019-03-16 17:28 Mikle Kolyada
2019-03-15 9:53 Mikle Kolyada
2019-03-15 9:53 Mikle Kolyada
2019-03-15 9:53 Mikle Kolyada
2019-03-11 22:42 Sergei Trofimovich
2019-03-10 14:36 Mikle Kolyada
2019-03-10 8:36 Mart Raudsepp
2019-03-09 19:18 Thomas Deutschmann
2019-03-09 8:14 Mikle Kolyada
2019-03-08 20:36 Sergei Trofimovich
2019-03-08 12:31 Mikle Kolyada
2019-03-08 6:42 Lars Wendler
2019-02-16 18:58 Aaron Bauman
2019-01-04 9:54 Mikle Kolyada
2019-01-04 0:46 Mart Raudsepp
2019-01-02 12:54 Jeroen Roovers
2019-01-02 12:18 Markus Meier
2018-12-26 13:55 Sergei Trofimovich
2018-12-26 13:52 Sergei Trofimovich
2018-12-26 11:04 Sergei Trofimovich
2018-12-23 12:25 Mikle Kolyada
2018-12-23 3:25 Matt Turner
2018-12-20 1:30 Thomas Deutschmann
2018-12-18 19:45 Sergei Trofimovich
2018-08-15 7:58 Lars Wendler
2018-05-26 8:01 Mikle Kolyada
2018-05-26 8:01 Mikle Kolyada
2018-04-08 10:55 Markus Meier
2018-03-21 22:08 Matt Turner
2018-03-21 11:08 Mart Raudsepp
2018-03-17 17:46 Matt Turner
2018-03-14 23:13 Sergei Trofimovich
2018-03-14 7:20 Sergei Trofimovich
2018-03-13 22:26 Thomas Deutschmann
2018-03-13 19:00 Mikle Kolyada
2018-02-28 13:39 Lars Wendler
2018-02-27 18:05 Mike Gilbert
2018-02-27 18:05 Mike Gilbert
2017-09-26 21:21 Sergei Trofimovich
2017-07-04 10:06 Lars Wendler
2017-07-04 9:58 Lars Wendler
2017-06-12 18:51 Markus Meier
2017-06-08 10:16 Agostino Sarubbo
2017-03-22 10:12 Lars Wendler
2017-01-10 9:52 Jeroen Roovers
2016-12-22 9:34 Agostino Sarubbo
2016-12-20 9:44 Agostino Sarubbo
2016-12-19 15:12 Agostino Sarubbo
2016-12-19 14:35 Agostino Sarubbo
2016-12-18 20:29 Lars Wendler
2016-11-29 17:46 Markus Meier
2016-11-23 9:20 Tobias Klausmann
2016-11-22 11:32 Agostino Sarubbo
2016-11-22 11:31 Agostino Sarubbo
2016-11-21 21:10 Lars Wendler
2016-10-10 11:38 Lars Wendler
2016-07-08 12:02 Agostino Sarubbo
2016-07-08 10:02 Agostino Sarubbo
2016-07-08 7:53 Agostino Sarubbo
2016-06-27 8:48 Agostino Sarubbo
2016-06-27 8:47 Agostino Sarubbo
2016-06-15 15:38 Jeroen Roovers
2016-06-11 13:21 Markus Meier
2016-06-07 6:23 Jeroen Roovers
2016-06-06 11:31 Tobias Klausmann
2016-06-04 11:05 Richard Freeman
2016-06-03 4:42 Lars Wendler
2016-05-12 17:19 Markus Meier
2016-05-02 9:02 Jeroen Roovers
2016-05-02 8:09 Jeroen Roovers
2016-05-02 3:33 Matt Turner
2016-04-29 13:01 Agostino Sarubbo
2016-04-27 8:21 Lars Wendler
2016-03-20 11:53 Agostino Sarubbo
2016-02-03 20:43 Markus Meier
2016-01-30 16:52 Tobias Klausmann
2016-01-22 4:20 Jeroen Roovers
2016-01-21 13:20 Agostino Sarubbo
2016-01-20 21:08 Lars Wendler
2016-01-20 21:08 Lars Wendler
2016-01-13 10:28 Lars Wendler
2015-12-07 8:58 Anthony G. Basile
2015-10-23 19:15 Patrick McLean
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1685665472.709240c79986e92294e0329e66b99f20dd05b1de.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox